GetFeatureInfo responses with URLs should be clickable
Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 29602

Description

It would be good if QGIS as a WMS client would automatically generate clickable URLs for text/varchar fields that contain text that starts

with http://,https:// or ftp://

It should be done for all formats where possible: text/plain, text/html and application/json

Example is in a screenshot attached.

Associated revisions

Revision 0acc0565 - 2019-04-15 02:46 PM - Alessandro Pasotti

Open identify links in external browser

Fixes #21787

History

#1 - 2019-04-08 10:27 AM - Andreas Neumann

It should open a browser and display the URL.

#2 - 2019-04-08 10:29 AM - Andreas Neumann

If the URL is already in a <a /> element, the replace of the clickable URL should not happen (e.g. in HTML GetFeatureInfo response)

#3 - 2019-04-12 08:18 AM - Andreas Neumann

- Assignee set to Alessandro Pasotti

#4 - 2019-04-15 08:46 AM - Alessandro Pasotti

- Status changed from Open to In Progress

- Resolution set to fixed/implemented

PR https://github.com/qgis/QGIS/pull/9787

#5 - 2019-04-15 04:46 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|0acc0565e43c354758386c81dc642749dab3984f.
